//  Btn's

.nav-btn {
	display: flex;
	flex-direction: row;
	align-items: center;
	background-color: transparent;
	padding: 0;
	border: none;
	margin: 3rem 0 0 0;
	.label {
		color: $primaryBlack;
		font-family: 'Poppins-500';
		font-size: 14px;
		line-height: 144%;
		letter-spacing: 2px;
	}
	.btn-arrow {
		margin: 0 0 0 1rem;
		transition: margin 0.6s ease-in-out;
	}
}

.nav-back-btn {
	display: flex;
	flex-direction: row;
	align-items: center;
	background-color: transparent;
	padding: 0;
	border: none;
	.route-label-container {
		margin: 0 0 0 0.3rem;
		transition: margin 0.7s ease-in-out;
	}
	.label {
		color: $primaryBlack;
		font-family: 'Poppins-500';
		font-size: 11px;
		line-height: 144%;
		letter-spacing: 2px;
	}
}

// Cards

// Programming card

.programming-card {
	background-color: $white;
	padding: 1.5rem 1.8rem 1.85rem 1.8rem;
	margin: 0 1rem 1rem 0;
	border: 1px solid #d7d7d7;
	border-radius: 4px;
	cursor: pointer;
	-webkit-box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.045);
	-moz-box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.045);
	-o-box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.045);
	box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.045);
	transition: box-shadow ease 0.75s;
	&:hover {
		-webkit-box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.065);
		-moz-box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.065);
		-o-box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.065);
		box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.065);
		transition: box-shadow ease 0.75s;
	}
	.heading-box {
		display: flex;
		align-items: center;
		.scndry-heading {
			margin: 0 1rem 0 0;
		}
		.info-graphic {
			width: 48px;
			height: 48px;
			display: flex;
			justify-content: center;
			align-items: center;
			background-color: transparent;
			border-radius: 50%;
			.label {
				font-size: 12px;
			}
		}
	}
	.scndry-text {
		margin: 1rem 0 0 0;
	}
}

// Projects card

a {
	text-decoration: none;
	color: inherit;
	.project-card {
		@include animationProps(FadeIn, 0s, 0.85s, null);
		margin: 0 0 2rem 0;
		border-radius: 4px;

		.content-wrapper {
			.fernweh {
				background: linear-gradient(89.65deg, #9fced7 0.26%, #71a2ab 99.67%);
			}
			.rosa-olof {
				background: linear-gradient(89.65deg, #efd7d1 0.26%, #ba8a7f 99.67%);
			}
			.wotsch {
				background: linear-gradient(89.65deg, #89cdad 0.26%, #49af7d 99.67%);
			}
			.img-container {
				display: flex;
				justify-content: center;
				align-items: center;
				padding: 2rem 0;
				.project-img-mobile {
					width: 91px;
					height: 195px;
					margin: 1rem -1rem 0 0;
					border-radius: 4px;
					z-index: 1;
					-webkit-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					-moz-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					-o-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
				}

				.project-img-desktop {
					width: 237px;
					height: 200px;
					border-radius: 4px;
					-webkit-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					-moz-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					-o-box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
					box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.12);
				}
			}
			.txt-box {
				padding: 2rem 2rem;
				background-color: $white;
				.scndry-heading {
					margin: 0 0 1.3rem 0;
				}
				.scndry-text {
					margin: 0;
					max-width: 365px;
				}
			}
		}
	}
	.project-card-idle {
		opacity: 0;
	}
}
